Bug 1129694 - JobExecutor: Start/Stop Job Executor dialog does not validate fields correctly.
Summary: JobExecutor: Start/Stop Job Executor dialog does not validate fields correctly.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: DR1
: 6.2.0
Assignee: Neus Miras
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 13:29 UTC by Marek Baluch
Modified: 2018-03-31 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Marek Baluch 2014-08-13 13:29:51 UTC
Description of problem:
${Summary}.

Steps to Reproduce:
1. Navigate to Deploy -> Jobs
2. Hit Settings button and stop the job executor
3. Hit Settings button and insert a wrong value into the 'Number of Threads' field (e.g. xyz)
4. Hit 'Start/Stop Service' button

Actual results:
Nothing happens.

Expected results:
The field 'Number of Threads' is marked red or something so the user knows he entered a bad value.

Additional info:
If the service is stopped and a user enters a bad value (e.g. xyz) into the frequency field only then the job executor will be started but the window will not disappear. This will create an inconsistent state where the service will be started but the UI will think that it's stopped.

Comment 2 Marek Baluch 2015-02-03 10:38:37 UTC
Dialog validation only detects empty values (at first attempt).

Example 1:
1/ stop the 'job executor service'
2/ display the 'Job Service Settings' dialog
3/ change the 'Number of Threads' to '1dd', keep 'Frequency' empty.
2/ click 'Start'
Result/ fields 'Number of Threads' and 'Frequency' will remain the same color as before.
Expected Result/ both fields are marked red.

Another example is. 
1/ stop the 'job executor service'
2/ display the 'Job Service Settings' dialog
3/ enter an invalid frequency value '1er' - please note that 'Number of Threads' should not be changed (the initial value should be '1').
4/ click 'Start'
Result/ both fields are marked green but the dialog will still be present with the option 'Start' enabled
Expected result/ first field is marked green, second one red.

Comment 3 Neus Miras 2015-02-25 11:46:03 UTC
The field validation has been reviewed. 

Fixed at master
https://github.com/droolsjbpm/jbpm-console-ng/commit/296916125aa2537609e656615fc9e0ce5c089f07

Comment 4 Pavel Kralik 2015-09-04 13:49:55 UTC
BPMS 6.2.0.ER1


Note You need to log in before you can comment on or make changes to this bug.